Skip to main content
PATCH
cURL

Path Parameters

keyId
string<uuid>
required

The ID of the key to be updated.

Body

application/json
name
string

The updated name of this key. Must be slug-friendly.

Required string length: 1 - 32
isDisabled
boolean

The flag to enable or disable this key.

description
string

The updated description of this key.

Maximum string length: 255
hasDeleteProtection
boolean

Enable or disable delete protection for this key.

isPublicKeyPublished
boolean

Publish this key's public key as a JWKS at an unauthenticated URL, so third parties can verify its signatures. Only sign-verify keys using RSA, ECC or ED25519 can be published.

Response

Default Response

key
object
required